Commit 47360b63 authored by Ralf Jung's avatar Ralf Jung

update README

parent a490cd5b
Pipeline #3319 passed with stage
in 11 minutes and 2 seconds
......@@ -6,12 +6,18 @@ This is the Coq development of the [Iris Project](http://iris-project.org).
This version is known to compile with:
- Coq 8.5pl2
- [Ssreflect 1.6](https://github.com/math-comp/math-comp/releases/tag/mathcomp-1.6)
- Coq 8.5pl3
- Ssreflect 1.6
- A development version of [Iris](https://gitlab.mpi-sws.org/FP/iris-coq/)
Please register or sign in to reply
The easiest way to install the correct versions of the dependencies is through
opam. Once you got opam set up, just run `make build-dep` to install the right
versions of the dependencies. When the dependencies change, just run `make
build-dep` again.
For development, better make sure you have a version of Ssreflect that includes
commit ad273277 (no such version has been released so far, you will have to
fetch the development branch yourself). Iris compiles fine even without this
fetch the development branch yourself). Iris compiles fine even without this
patch, but proof bullets will only be in 'strict' (enforcing) mode with the
fixed version of Ssreflect. If you are using opam, you can easily get a fixed
version by running
......@@ -20,14 +26,7 @@ version by running
## Building Instructions
Run the following command to build the full development:
make
The development can then be installed as the Coq user contribution `iris` by
running:
make install
Run `make` to build the full development.
## Structure
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment